Index: src/sas/sascalc/calculator/kiessig_calculator.py
===================================================================
--- src/sas/sascalc/calculator/kiessig_calculator.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/calculator/kiessig_calculator.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -49,5 +49,5 @@
             return None
         # check if delta_q is zero
-        if dq == 0.0 or dq == None:
+        if dq == 0.0 or dq is None:
             return None
         else:
Index: src/sas/sascalc/calculator/sas_gen.py
===================================================================
--- src/sas/sascalc/calculator/sas_gen.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sascalc/calculator/sas_gen.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -97,5 +97,5 @@
         :Param volume: pixel volume [float]
         """
-        if self.data_vol == None:
+        if self.data_vol is None:
             raise
         self.data_vol = volume
@@ -119,5 +119,5 @@
         pos_z = self.data_z
         len_x = len(pos_x)
-        if self.is_avg == None:
+        if self.is_avg is None:
             len_x *= -1
             pos_x, pos_y, pos_z = transform_center(pos_x, pos_y, pos_z)
@@ -257,9 +257,9 @@
         self.sld_n = np.zeros(length)
 
-        if omfdata.mx == None:
+        if omfdata.mx is None:
             self.mx = np.zeros(length)
-        if omfdata.my == None:
+        if omfdata.my is None:
             self.my = np.zeros(length)
-        if omfdata.mz == None:
+        if omfdata.mz is None:
             self.mz = np.zeros(length)
 
@@ -703,7 +703,7 @@
         :Param data: MagSLD data object
         """
-        if path == None:
+        if path is None:
             raise ValueError, "Missing the file path."
-        if data == None:
+        if data is None:
             raise ValueError, "Missing the data to save."
         x_val = data.pos_x
@@ -713,8 +713,8 @@
         length = len(x_val)
         sld_n = data.sld_n
-        if sld_n == None:
+        if sld_n is None:
             sld_n = np.zeros(length)
         sld_mx = data.sld_mx
-        if sld_mx == None:
+        if sld_mx is None:
             sld_mx = np.zeros(length)
             sld_my = np.zeros(length)
@@ -935,5 +935,5 @@
         :Params pixel: str; pixel or atomic symbol, or array of strings
         """
-        if self.sld_n == None:
+        if self.sld_n is None:
             return
         if symbol.__class__.__name__ == 'str':
@@ -947,5 +947,5 @@
         :Params pixel: str; pixel or atomic symbol, or array of strings
         """
-        if self.sld_n == None:
+        if self.sld_n is None:
             return
         if vol.__class__.__name__ == 'ndarray':
Index: src/sas/sascalc/data_util/qsmearing.py
===================================================================
--- src/sas/sascalc/data_util/qsmearing.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/data_util/qsmearing.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -42,7 +42,7 @@
     # This checks for 2D data (does not throw exception because fail is common)
     if  data.__class__.__name__ not in ['Data1D', 'Theory1D']:
-        if data == None:
+        if data is None:
             return None
-        elif data.dqx_data == None or data.dqy_data == None:
+        elif data.dqx_data is None or data.dqy_data is None:
             return None
         return PySmear2D(data)
Index: src/sas/sascalc/dataloader/data_info.py
===================================================================
--- src/sas/sascalc/dataloader/data_info.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/dataloader/data_info.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -806,10 +806,10 @@
             # create zero vector
             dy_other = other.dy
-            if other.dy == None or (len(other.dy) != len(other.y)):
+            if other.dy is None or (len(other.dy) != len(other.y)):
                 dy_other = np.zeros(len(other.y))
 
         # Check that we have errors, otherwise create zero vector
         dy = self.dy
-        if self.dy == None or (len(self.dy) != len(self.y)):
+        if self.dy is None or (len(self.dy) != len(self.y)):
             dy = np.zeros(len(self.y))
 
@@ -822,9 +822,9 @@
         dy, dy_other = self._validity_check(other)
         result = self.clone_without_data(len(self.x))
-        if self.dxw == None:
+        if self.dxw is None:
             result.dxw = None
         else:
             result.dxw = np.zeros(len(self.x))
-        if self.dxl == None:
+        if self.dxl is None:
             result.dxl = None
         else:
@@ -884,17 +884,17 @@
         self._validity_check_union(other)
         result = self.clone_without_data(len(self.x) + len(other.x))
-        if self.dy == None or other.dy is None:
+        if self.dy is None or other.dy is None:
             result.dy = None
         else:
             result.dy = np.zeros(len(self.x) + len(other.x))
-        if self.dx == None or other.dx is None:
+        if self.dx is None or other.dx is None:
             result.dx = None
         else:
             result.dx = np.zeros(len(self.x) + len(other.x))
-        if self.dxw == None or other.dxw is None:
+        if self.dxw is None or other.dxw is None:
             result.dxw = None
         else:
             result.dxw = np.zeros(len(self.x) + len(other.x))
-        if self.dxl == None or other.dxl is None:
+        if self.dxl is None or other.dxl is None:
             result.dxl = None
         else:
@@ -1030,5 +1030,5 @@
             # Check that the scales match
             err_other = other.err_data
-            if other.err_data == None or \
+            if other.err_data is None or \
                 (len(other.err_data) != len(other.data)):
                 err_other = np.zeros(len(other.data))
@@ -1036,5 +1036,5 @@
         # Check that we have errors, otherwise create zero vector
         err = self.err_data
-        if self.err_data == None or \
+        if self.err_data is None or \
             (len(self.err_data) != len(self.data)):
             err = np.zeros(len(other.data))
@@ -1051,5 +1051,5 @@
         dy, dy_other = self._validity_check(other)
         result = self.clone_without_data(np.size(self.data))
-        if self.dqx_data == None or self.dqy_data == None:
+        if self.dqx_data is None or self.dqy_data is None:
             result.dqx_data = None
             result.dqy_data = None
@@ -1125,6 +1125,6 @@
         result.ymin = self.ymin
         result.ymax = self.ymax
-        if self.dqx_data == None or self.dqy_data == None or \
-                other.dqx_data == None or other.dqy_data == None:
+        if self.dqx_data is None or self.dqy_data is None or \
+                other.dqx_data is None or other.dqy_data is None:
             result.dqx_data = None
             result.dqy_data = None
Index: src/sas/sascalc/dataloader/manipulations.py
===================================================================
--- src/sas/sascalc/dataloader/manipulations.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/dataloader/manipulations.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -210,5 +210,5 @@
             y[i_q] += frac * data[npts]
 
-            if err_data == None or err_data[npts] == 0.0:
+            if err_data is None or err_data[npts] == 0.0:
                 if data[npts] < 0:
                     data[npts] = -data[npts]
@@ -333,5 +333,5 @@
                 continue
             y += frac * data[npts]
-            if err_data == None or err_data[npts] == 0.0:
+            if err_data is None or err_data[npts] == 0.0:
                 if data[npts] < 0:
                     data[npts] = -data[npts]
@@ -462,5 +462,5 @@
 
         #q_data_max = numpy.max(q_data)
-        if len(data2D.q_data) == None:
+        if len(data2D.q_data) is None:
             msg = "Circular averaging: invalid q_data: %g" % data2D.q_data
             raise RuntimeError, msg
@@ -502,5 +502,5 @@
             # Take dqs from data to get the q_average
             x[i_q] += frac * q_value
-            if err_data == None or err_data[npt] == 0.0:
+            if err_data is None or err_data[npt] == 0.0:
                 if data_n < 0:
                     data_n = -data_n
@@ -623,5 +623,5 @@
             phi_bins[i_phi] += frac * data[npt]
 
-            if err_data == None or err_data[npt] == 0.0:
+            if err_data is None or err_data[npt] == 0.0:
                 if data_n < 0:
                     data_n = -data_n
@@ -888,5 +888,5 @@
             y[i_bin] += frac * data_n
             x[i_bin] += frac * q_value
-            if err_data[n] == None or err_data[n] == 0.0:
+            if err_data[n] is None or err_data[n] == 0.0:
                 if data_n < 0:
                     data_n = -data_n
Index: src/sas/sascalc/dataloader/readers/ascii_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/ascii_reader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/dataloader/readers/ascii_reader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -128,10 +128,10 @@
                         if new_lentoks > 2:
                             _dy = float(toks[2])
-                        has_error_dy = False if _dy == None else True
+                        has_error_dy = False if _dy is None else True
 
                         # If a 4th row is present, consider it dx
                         if new_lentoks > 3:
                             _dx = float(toks[3])
-                        has_error_dx = False if _dx == None else True
+                        has_error_dx = False if _dx is None else True
 
                         # Delete the previously stored lines of data candidates if
Index: src/sas/sascalc/dataloader/readers/cansas_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision 63d773c420797b9a40dbfc28b1e602df82410cae)
+++ src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -807,5 +807,5 @@
         :param data1d: presumably a Data1D object
         """
-        if self.current_dataset == None:
+        if self.current_dataset is None:
             x_vals = np.empty(0)
             y_vals = np.empty(0)
@@ -895,5 +895,5 @@
         # Write the file
         file_ref = open(filename, 'w')
-        if self.encoding == None:
+        if self.encoding is None:
             self.encoding = "UTF-8"
         doc.write(file_ref, encoding=self.encoding,
@@ -1015,5 +1015,5 @@
         :param entry_node: lxml node ElementTree object to be appended to
         """
-        if datainfo.run == None or datainfo.run == []:
+        if datainfo.run is None or datainfo.run == []:
             datainfo.run.append(RUN_NAME_DEFAULT)
             datainfo.run_name[RUN_NAME_DEFAULT] = RUN_NAME_DEFAULT
@@ -1213,5 +1213,5 @@
                                  str(datainfo.source.name))
         self.append(source, instr)
-        if datainfo.source.radiation == None or datainfo.source.radiation == '':
+        if datainfo.source.radiation is None or datainfo.source.radiation == '':
             datainfo.source.radiation = "neutron"
         self.write_node(source, "radiation", datainfo.source.radiation)
@@ -1254,5 +1254,5 @@
         :param instr: lxml node ElementTree object to be appended to
         """
-        if datainfo.collimation == [] or datainfo.collimation == None:
+        if datainfo.collimation == [] or datainfo.collimation is None:
             coll = Collimation()
             datainfo.collimation.append(coll)
@@ -1299,5 +1299,5 @@
         :param inst: lxml instrument node to be appended to
         """
-        if datainfo.detector == None or datainfo.detector == []:
+        if datainfo.detector is None or datainfo.detector == []:
             det = Detector()
             det.name = ""
Index: src/sas/sascalc/dataloader/readers/danse_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/danse_reader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/dataloader/readers/danse_reader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -166,7 +166,7 @@
                 
                 x_vals.append(qx)
-                if xmin == None or qx < xmin:
+                if xmin is None or qx < xmin:
                     xmin = qx
-                if xmax == None or qx > xmax:
+                if xmax is None or qx > xmax:
                     xmax = qx
             
@@ -181,7 +181,7 @@
                 
                 y_vals.append(qy)
-                if ymin == None or qy < ymin:
+                if ymin is None or qy < ymin:
                     ymin = qy
-                if ymax == None or qy > ymax:
+                if ymax is None or qy > ymax:
                     ymax = qy
             
Index: src/sas/sascalc/dataloader/readers/xml_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/xml_reader.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sascalc/dataloader/readers/xml_reader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -240,5 +240,5 @@
         :param name: The name of the element to be created
         """
-        if attrib == None:
+        if attrib is None:
             attrib = {}
         return etree.Element(name, attrib, nsmap)
@@ -299,5 +299,5 @@
         """
         text = str(text)
-        if attrib == None:
+        if attrib is None:
             attrib = {}
         elem = E(elementname, attrib, text)
Index: src/sas/sascalc/file_converter/cansas_writer.py
===================================================================
--- src/sas/sascalc/file_converter/cansas_writer.py	(revision 0b1a677a6bec9b3b30979ce36e64645b3028908b)
+++ src/sas/sascalc/file_converter/cansas_writer.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -17,5 +17,5 @@
         # Write the file
         file_ref = open(filename, 'w')
-        if self.encoding == None:
+        if self.encoding is None:
             self.encoding = "UTF-8"
         doc.write(file_ref, encoding=self.encoding,
Index: src/sas/sascalc/fit/AbstractFitEngine.py
===================================================================
--- src/sas/sascalc/fit/AbstractFitEngine.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/fit/AbstractFitEngine.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -294,10 +294,10 @@
         
         ## fitting range
-        if qmin == None:
+        if qmin is None:
             self.qmin = 1e-16
-        if qmax == None:
+        if qmax is None:
             self.qmax = math.sqrt(x_max * x_max + y_max * y_max)
         ## new error image for fitting purpose
-        if self.err_data == None or self.err_data == []:
+        if self.err_data is None or self.err_data == []:
             self.res_err_data = np.ones(len(self.data))
         else:
@@ -318,5 +318,5 @@
             Set smearer
         """
-        if smearer == None:
+        if smearer is None:
             return
         self.smearer = smearer
@@ -612,5 +612,5 @@
         """
         """
-        if self.pvec == None and self.model is None and self.param_list is None:
+        if self.pvec is None and self.model is None and self.param_list is None:
             return "No results"
 
Index: src/sas/sascalc/fit/Loader.py
===================================================================
--- src/sas/sascalc/fit/Loader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/fit/Loader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -34,5 +34,5 @@
     def set_values(self):
         """ Store the values loaded from file in local variables"""
-        if not self.filename == None:
+        if not self.filename is None:
             input_f =  open(self.filename, 'r')
             buff = input_f.read()
Index: src/sas/sascalc/fit/MultiplicationModel.py
===================================================================
--- src/sas/sascalc/fit/MultiplicationModel.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/fit/MultiplicationModel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -180,5 +180,5 @@
         if value != None:
             factor = self.p_model.calculate_VR()
-            if factor == None or factor == NotImplemented or factor == 0.0:
+            if factor is None or factor == NotImplemented or factor == 0.0:
                 val = value
             else:
Index: src/sas/sascalc/pr/fit/AbstractFitEngine.py
===================================================================
--- src/sas/sascalc/pr/fit/AbstractFitEngine.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/pr/fit/AbstractFitEngine.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -294,10 +294,10 @@
         
         ## fitting range
-        if qmin == None:
+        if qmin is None:
             self.qmin = 1e-16
-        if qmax == None:
+        if qmax is None:
             self.qmax = math.sqrt(x_max * x_max + y_max * y_max)
         ## new error image for fitting purpose
-        if self.err_data == None or self.err_data == []:
+        if self.err_data is None or self.err_data == []:
             self.res_err_data = np.ones(len(self.data))
         else:
@@ -318,5 +318,5 @@
             Set smearer
         """
-        if smearer == None:
+        if smearer is None:
             return
         self.smearer = smearer
@@ -615,5 +615,5 @@
         """
         """
-        if self.pvec == None and self.model is None and self.param_list is None:
+        if self.pvec is None and self.model is None and self.param_list is None:
             return "No results"
 
Index: src/sas/sascalc/pr/fit/Loader.py
===================================================================
--- src/sas/sascalc/pr/fit/Loader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/pr/fit/Loader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -34,5 +34,5 @@
     def set_values(self):
         """ Store the values loaded from file in local variables"""
-        if not self.filename == None:
+        if not self.filename is None:
             input_f =  open(self.filename, 'r')
             buff = input_f.read()
Index: src/sas/sascalc/pr/invertor.py
===================================================================
--- src/sas/sascalc/pr/invertor.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sascalc/pr/invertor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -162,9 +162,9 @@
             return self.set_dmax(value)
         elif name == 'q_min':
-            if value == None:
+            if value is None:
                 return self.set_qmin(-1.0)
             return self.set_qmin(value)
         elif name == 'q_max':
-            if value == None:
+            if value is None:
                 return self.set_qmax(-1.0)
             return self.set_qmax(value)
@@ -395,7 +395,7 @@
         Check q-value against user-defined range
         """
-        if not self.q_min == None and q < self.q_min:
+        if not self.q_min is None and q < self.q_min:
             return False
-        if not self.q_max == None and q > self.q_max:
+        if not self.q_max is None and q > self.q_max:
             return False
         return True
@@ -658,5 +658,5 @@
             file.write("#has_bck=0\n")
         file.write("#alpha_estimate=%g\n" % self.suggested_alpha)
-        if not self.out == None:
+        if not self.out is None:
             if len(self.out) == len(self.cov):
                 for i in range(len(self.out)):
Index: src/sas/sascalc/pr/num_term.py
===================================================================
--- src/sas/sascalc/pr/num_term.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/pr/num_term.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -159,5 +159,5 @@
     scale = None
     min_err = 0.0
-    if not path == None:
+    if not path is None:
         input_f = open(path, 'r')
         buff = input_f.read()
@@ -171,5 +171,5 @@
                     err = float(toks[2])
                 else:
-                    if scale == None:
+                    if scale is None:
                         scale = 0.05 * math.sqrt(test_y)
                         #scale = 0.05/math.sqrt(y)
Index: src/sas/sascalc/realspace/VolumeCanvas.py
===================================================================
--- src/sas/sascalc/realspace/VolumeCanvas.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/realspace/VolumeCanvas.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -293,5 +293,5 @@
         """
         # If the handle is not provided, create one
-        if id == None:
+        if id is None:
             id = shapeDesc.params["type"]+str(self.shapecount)
          
@@ -325,5 +325,5 @@
         """
         # If the handle is not provided, create one
-        if id == None:
+        if id is None:
             id = "shape"+str(self.shapecount)
  
@@ -663,9 +663,9 @@
         # If this is the first simulation call, we need to generate the
         # space points
-        if self.points == None:
+        if self.points is None:
             self._create_modelObject()
             
             # Protect against empty model
-            if self.points == None:
+            if self.points is None:
                 return 0
                
Index: src/sas/sasgui/guiframe/CategoryInstaller.py
===================================================================
--- src/sas/sasgui/guiframe/CategoryInstaller.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/CategoryInstaller.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -132,5 +132,5 @@
 
         serialized_file = None
-        if homedir == None:
+        if homedir is None:
             serialized_file = CategoryInstaller.get_user_file()
         else:
Index: src/sas/sasgui/guiframe/dataFitting.py
===================================================================
--- src/sas/sasgui/guiframe/dataFitting.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/dataFitting.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -78,9 +78,9 @@
         result.clone_without_data(length=len(self.x), clone=self)
         result.copy_from_datainfo(data1d=self)
-        if self.dxw == None:
+        if self.dxw is None:
             result.dxw = None
         else:
             result.dxw = np.zeros(len(self.x))
-        if self.dxl == None:
+        if self.dxl is None:
             result.dxl = None
         else:
@@ -125,21 +125,21 @@
         tot_length = len(self.x) + len(other.x)
         result = self.clone_without_data(length=tot_length, clone=result)
-        if self.dlam == None or other.dlam is None:
+        if self.dlam is None or other.dlam is None:
             result.dlam = None
         else:
             result.dlam = np.zeros(tot_length)
-        if self.dy == None or other.dy is None:
+        if self.dy is None or other.dy is None:
             result.dy = None
         else:
             result.dy = np.zeros(tot_length)
-        if self.dx == None or other.dx is None:
+        if self.dx is None or other.dx is None:
             result.dx = None
         else:
             result.dx = np.zeros(tot_length)
-        if self.dxw == None or other.dxw is None:
+        if self.dxw is None or other.dxw is None:
             result.dxw = None
         else:
             result.dxw = np.zeros(tot_length)
-        if self.dxl == None or other.dxl is None:
+        if self.dxl is None or other.dxl is None:
             result.dxl = None
         else:
@@ -227,9 +227,9 @@
         result = self.clone_without_data(len(self.x))
         result.copy_from_datainfo(data1d=self)
-        if self.dxw == None:
+        if self.dxw is None:
             result.dxw = None
         else:
             result.dxw = np.zeros(len(self.x))
-        if self.dxl == None:
+        if self.dxl is None:
             result.dxl = None
         else:
@@ -279,21 +279,21 @@
         tot_length = len(self.x)+len(other.x)
         result.clone_without_data(length=tot_length, clone=self)
-        if self.dlam == None or other.dlam is None:
+        if self.dlam is None or other.dlam is None:
             result.dlam = None
         else:
             result.dlam = np.zeros(tot_length)
-        if self.dy == None or other.dy is None:
+        if self.dy is None or other.dy is None:
             result.dy = None
         else:
             result.dy = np.zeros(tot_length)
-        if self.dx == None or other.dx is None:
+        if self.dx is None or other.dx is None:
             result.dx = None
         else:
             result.dx = np.zeros(tot_length)
-        if self.dxw == None or other.dxw is None:
+        if self.dxw is None or other.dxw is None:
             result.dxw = None
         else:
             result.dxw = np.zeros(tot_length)
-        if self.dxl == None or other.dxl is None:
+        if self.dxl is None or other.dxl is None:
             result.dxl = None
         else:
@@ -405,5 +405,5 @@
         result.ymin = self.ymin
         result.ymax = self.ymax
-        if self.dqx_data == None or self.dqy_data == None:
+        if self.dqx_data is None or self.dqy_data is None:
             result.dqx_data = None
             result.dqy_data = None
@@ -468,6 +468,6 @@
         result.ymin = self.ymin
         result.ymax = self.ymax
-        if self.dqx_data == None or self.dqy_data == None or \
-                other.dqx_data == None or other.dqy_data == None :
+        if self.dqx_data is None or self.dqy_data is None or \
+                other.dqx_data is None or other.dqy_data is None :
             result.dqx_data = None
             result.dqy_data = None
Index: src/sas/sasgui/guiframe/data_processor.py
===================================================================
--- src/sas/sasgui/guiframe/data_processor.py	(revision e645bbbd97a886189770c3592e244db6f127e527)
+++ src/sas/sasgui/guiframe/data_processor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -315,5 +315,5 @@
         if row > self.max_row_touse:
             self.max_row_touse = row
-        if self.data == None:
+        if self.data is None:
             self.data = {}
         event.Skip()
@@ -814,7 +814,7 @@
         """
 
-        if self.data == None:
+        if self.data is None:
             self.data = {}
-        if self.file_name == None:
+        if self.file_name is None:
             self.file_name = 'copied_data'
         self.Paste()
@@ -1017,5 +1017,5 @@
                             if index - 1 >= 0:
                                 new_row, _ = temp_list[index - 1]
-                                if not new_row == None and new_row != ' ':
+                                if not new_row is None and new_row != ' ':
                                     label += create_label(col_name, None,
                                                           int(new_row) + 1)
@@ -1025,5 +1025,5 @@
                             if index + 1 < len(temp_list):
                                 new_row, _ = temp_list[index + 1]
-                                if not new_row == None:
+                                if not new_row is None:
                                     label += create_label(col_name,
                                                           int(new_row) + 1, None)
@@ -1085,5 +1085,5 @@
 
         # Let's re-order the data from the keys in 'Data' name.
-        if outputs == None:
+        if outputs is None:
             return
         try:
@@ -1380,5 +1380,5 @@
             wx.PostEvent(self.parent.parent, StatusEvent(status=msg, info="error"))
             return
-        if dy == None:
+        if dy is None:
             dy = np.zeros(len(y))
         #plotting
@@ -1441,5 +1441,5 @@
             col = column_names[col_name]
             axis = self.get_plot_axis(col, list)
-            if axis == None:
+            if axis is None:
                 return None
             sentence = sentence.replace(tok, "numpy.array(%s)" % str(axis))
Index: src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision c1d5aeab1ee75d2bf50cd73195f34c011918657d)
+++ src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -75,5 +75,5 @@
         path = None
         self._default_save_location = self.parent._default_save_location
-        if self._default_save_location == None:
+        if self._default_save_location is None:
             self._default_save_location = os.getcwd()
 
@@ -116,5 +116,5 @@
         path = None
         self._default_save_location = self.parent._default_save_location
-        if self._default_save_location == None:
+        if self._default_save_location is None:
             self._default_save_location = os.getcwd()
         dlg = wx.DirDialog(self.parent, "Choose a directory",
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/AnnulusSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -122,5 +122,5 @@
         data = self.base.data2D
         # If we have no data, just return
-        if data == None:
+        if data is None:
             return
 
@@ -132,5 +132,5 @@
         # if the user does not specify the numbers of points to plot
         # the default number will be nbins= 36
-        if nbins == None:
+        if nbins is None:
             self.nbins = 36
         else:
@@ -521,5 +521,5 @@
 
         # If we have no data, just return
-        if data == None:
+        if data is None:
             return
         mask = data.mask
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Arc.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Arc.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Arc.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -81,5 +81,5 @@
         npts = int((self.theta2 - self.theta1) / (math.pi / 120))
 
-        if r == None:
+        if r is None:
             self.radius = math.sqrt(math.pow(self._mouse_x, 2) + \
                                      math.pow(self._mouse_y, 2))
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -212,9 +212,9 @@
         On Qmin Qmax vertical line event
         """
-        if event == None:
+        if event is None:
             return
         event.Skip()
         active_ctrl = event.active
-        if active_ctrl == None:
+        if active_ctrl is None:
             return
         if hasattr(event, 'is_corfunc'):
@@ -231,5 +231,5 @@
                 colors.append('purple')
                 values.append(min(x_data.max(), float(ctrl[2].GetValue())))
-            if self.ly == None:
+            if self.ly is None:
                 self.ly = []
                 for c, v in zip(colors, values):
@@ -336,5 +336,5 @@
         if hasattr(event, "action"):
             dclick = event.action == 'dclick'
-            if ax == None or dclick:
+            if ax is None or dclick:
                 # remove the vline
                 self._check_zoom_plot()
@@ -361,5 +361,5 @@
         Move the cursor line to write Q range
         """
-        if self.q_ctrl == None:
+        if self.q_ctrl is None:
             return
         # release a q range vline
@@ -370,5 +370,5 @@
             return
         ax = event.inaxes
-        if ax == None or not hasattr(event, 'action'):
+        if ax is None or not hasattr(event, 'action'):
             return
         end_drag = event.action != 'drag' and event.xdata != None
@@ -618,5 +618,5 @@
             # add menu of other plugins
             item_list = self.parent.get_current_context_menu(self)
-            if (not item_list == None) and (not len(item_list) == 0):
+            if (not item_list is None) and (not len(item_list) == 0):
                 for item, wx_id in zip(item_list, [ids.next() for i in range(len(item_list))]):
 
@@ -811,5 +811,5 @@
         curr_label = self.appearance_selected_plot.label
 
-        if curr_color == None:
+        if curr_color is None:
             curr_color = self._color_labels['Blue']
             curr_symbol = 13
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -144,5 +144,5 @@
         """
         # Not implemented
-        if event == None:
+        if event is None:
             return
         event.Skip()
@@ -227,5 +227,5 @@
         if self._is_changed_legend_label:
             data.label = self.title_label
-        if data.label == None:
+        if data.label is None:
             data.label = data.name
         if not self.title_font:
@@ -320,5 +320,5 @@
         if len(self.data2D.detector) <= 1:
             item_list = self.parent.get_current_context_menu(self)
-            if (not item_list == None) and (not len(item_list) == 0) and\
+            if (not item_list is None) and (not len(item_list) == 0) and\
                 self.data2D.name.split(" ")[0] != 'Residuals':
                 for item, wx_id in zip(item_list, [ids.next() for i in range(len(item_list))]):
@@ -533,5 +533,5 @@
         """
         ## Clear current slicer
-        if not self.slicer == None:
+        if not self.slicer is None:
             self.slicer.clear()
         ## Create a new slicer
@@ -719,5 +719,5 @@
         Clear the slicer on the plot
         """
-        if not self.slicer == None:
+        if not self.slicer is None:
             self.slicer.clear()
             self.subplot.figure.canvas.draw()
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -144,5 +144,5 @@
         data = self.base.data2D
         # If we have no data, just return
-        if data == None:
+        if data is None:
             return
         ## Averaging
@@ -151,5 +151,5 @@
         phimin = -self.left_line.phi + self.main_line.theta
         phimax = self.left_line.phi + self.main_line.theta
-        if nbins == None:
+        if nbins is None:
             nbins = 20
         sect = SectorQ(r_min=0.0, r_max=radius,
@@ -364,5 +364,5 @@
         if phi != None:
             self.phi = phi
-        if delta == None:
+        if delta is None:
             delta = 0
         if  right:
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SlicerParameters.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SlicerParameters.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SlicerParameters.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -46,5 +46,5 @@
         """
         event.Skip()
-        if event.obj_class == None:
+        if event.obj_class is None:
             self.set_slicer(None, None)
         else:
@@ -57,5 +57,5 @@
         self.bck.Clear(True)
         self.type = type
-        if type == None:
+        if type is None:
             label = "Right-click on 2D plot for slicer options"
             title = wx.StaticText(self, -1, label, style=wx.ALIGN_LEFT)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -139,5 +139,5 @@
 
         """
-        if self.direction == None:
+        if self.direction is None:
             self.direction = direction
 
@@ -149,6 +149,6 @@
         if nbins != None:
             self.nbins = nbins
-        if self.averager == None:
-            if new_slab == None:
+        if self.averager is None:
+            if new_slab is None:
                 msg = "post data:cannot average , averager is empty"
                 raise ValueError, msg
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -90,7 +90,7 @@
             zmin = self.reset_zmin_ctl
             zmax = self.reset_zmax_ctl
-            if zmin == None:
+            if zmin is None:
                 zmin = ""
-            if zmax == None:
+            if zmax is None:
                 zmax = ""
             self.zmin_ctl.SetValue(str(zmin))
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -249,5 +249,5 @@
         Add new mask to old mask
         """
-        if not self.slicer == None:
+        if not self.slicer is None:
             data = Data2D()
             data = self.data
@@ -269,5 +269,5 @@
         Erase new mask from old mask
         """
-        if not self.slicer == None:
+        if not self.slicer is None:
             self.slicer_mask = self.slicer.update()
             mask = self.data.mask
@@ -307,5 +307,5 @@
         Clear the slicer on the plot
         """
-        if not self.slicer == None:
+        if not self.slicer is None:
             self.slicer.clear()
             self.subplot.figure.canvas.draw()
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -88,5 +88,5 @@
         On Qmin Qmax vertical line event
         """
-        if event == None:
+        if event is None:
             return
         if event.id in self.plot_panels.keys():
@@ -99,5 +99,5 @@
 
     def _on_plot_lim(self, event=None):
-        if event == None:
+        if event is None:
             return
         if event.id in self.plot_panels.keys():
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -117,5 +117,5 @@
         data = self.base.data
         # If we have no data, just return
-        if data == None:
+        if data is None:
             return
         ## Averaging
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/slicerpanel.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/slicerpanel.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/slicerpanel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -37,5 +37,5 @@
         self.bck = wx.GridBagSizer(5, 5)
         self.SetSizer(self.bck)
-        if type == None and params == None:
+        if type is None and params is None:
             label = "Right-click on 2D plot for slicer options"
             title = wx.StaticText(self, -1, label, style=wx.ALIGN_LEFT)
@@ -57,5 +57,5 @@
         """
         event.Skip()
-        if event.obj_class == None:
+        if event.obj_class is None:
             self.set_slicer(None, None)
         else:
@@ -68,5 +68,5 @@
         self.bck.Clear(True)
         self.type = type
-        if type == None:
+        if type is None:
             label = "Right-click on 2D plot for slicer options"
             title = wx.StaticText(self, -1, label, style=wx.ALIGN_LEFT)
Index: src/sas/sasgui/guiframe/panel_base.py
===================================================================
--- src/sas/sasgui/guiframe/panel_base.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/panel_base.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -441,5 +441,5 @@
         """
         """
-        if self._manager == None:
+        if self._manager is None:
             return None
         return self._manager.frame
Index: src/sas/sasgui/guiframe/startup_configuration.py
===================================================================
--- src/sas/sasgui/guiframe/startup_configuration.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/startup_configuration.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -129,7 +129,7 @@
                 width, _ = panel.frame.GetSizeTuple()
                 if panel.frame.IsShown():
-                    if p_size == None or width > p_size:
+                    if p_size is None or width > p_size:
                         p_size = width
-            if p_size == None:
+            if p_size is None:
                 p_size = CURRENT_STRINGS['PLOPANEL_WIDTH']
             self.current_string['PLOPANEL_WIDTH'] = p_size
@@ -145,5 +145,5 @@
                 
             data_pw, _ = self.parent.panels["data_panel"].frame.GetSizeTuple()
-            if data_pw == None:
+            if data_pw is None:
                 data_pw = CURRENT_STRINGS['DATAPANEL_WIDTH']
             self.current_string['DATAPANEL_WIDTH'] = data_pw
Index: src/sas/sasgui/perspectives/calculator/calculator.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/calculator.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/calculator.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -93,5 +93,5 @@
         Edit meta data
         """
-        if self.data_edit_frame == None:
+        if self.data_edit_frame is None:
             self.data_edit_frame = DataEditorWindow(parent=self.parent,
                                                     manager=self, data=[],
@@ -106,5 +106,5 @@
         Data operation
         """
-        if self.data_operator_frame == None:
+        if self.data_operator_frame is None:
             # Use one frame all the time
             self.data_operator_frame = DataOperatorWindow(parent=self.parent,
@@ -121,5 +121,5 @@
         Compute the Kiessig thickness
         """
-        if self.kiessig_frame == None:
+        if self.kiessig_frame is None:
             frame = KiessigWindow(parent=self.parent, manager=self)
             self.put_icon(frame)
@@ -133,5 +133,5 @@
         Compute the scattering length density of molecula
         """
-        if self.sld_frame == None:
+        if self.sld_frame is None:
             frame = SldWindow(parent=self.parent,
                                   base=self.parent, manager=self)
@@ -146,5 +146,5 @@
         Compute the mass density or molar voulme
         """
-        if self.cal_md_frame == None:
+        if self.cal_md_frame is None:
             frame = DensityWindow(parent=self.parent,
                                   base=self.parent, manager=self)
@@ -159,5 +159,5 @@
         Compute the slit size a given data
         """
-        if self.cal_slit_frame == None:
+        if self.cal_slit_frame is None:
             frame = SlitLengthCalculatorWindow(parent=self.parent, manager=self)
             self.put_icon(frame)
@@ -171,5 +171,5 @@
         Estimate the instrumental resolution
         """
-        if self.cal_res_frame == None:
+        if self.cal_res_frame is None:
             frame = ResolutionWindow(parent=self.parent, manager=self)
             self.put_icon(frame)
@@ -183,5 +183,5 @@
         On Generic model menu event
         """
-        if self.gen_frame == None:
+        if self.gen_frame is None:
             frame = SasGenWindow(parent=self.parent, manager=self)
             self.put_icon(frame)
@@ -214,5 +214,5 @@
         :param filename: file name to open in editor
         """
-        if self.py_frame == None:
+        if self.py_frame is None:
             frame = PyConsole(parent=self.parent, base=self,
                               filename=filename)
Index: src/sas/sasgui/perspectives/calculator/data_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/data_editor.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/data_editor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -419,5 +419,5 @@
         """
         path = None
-        if location == None:
+        if location is None:
             location = os.getcwd()
 
Index: src/sas/sasgui/perspectives/calculator/data_operator.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/data_operator.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/data_operator.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -198,5 +198,5 @@
         self.send_warnings('')
         msg = ''
-        if name == None:
+        if name is None:
             text = self.data_namectr.GetValue().strip()
         else:
@@ -205,5 +205,5 @@
         name_list = []
         for state in state_list:
-            if state.data == None:
+            if state.data is None:
                 theory_list = state.get_theory()
                 theory, _ = theory_list.values()[0]
@@ -278,5 +278,5 @@
         pos = item.GetCurrentSelection()
         data = item.GetClientData(pos)
-        if data == None:
+        if data is None:
             content = "?"
             self.put_text_pic(self.data1_pic, content)
@@ -313,5 +313,5 @@
         content = "?"
         if not (self.numberctr.IsShown() and self.numberctr.IsEnabled()):
-            if data == None:
+            if data is None:
                 content = "?"
                 self.put_text_pic(self.data2_pic, content)
@@ -355,5 +355,5 @@
         pos1 = self.data1_cbox.GetCurrentSelection()
         data1 = self.data1_cbox.GetClientData(pos1)
-        if data1 == None:
+        if data1 is None:
             self.output = None
             return flag
@@ -361,5 +361,5 @@
         data2 = self.data2_cbox.GetClientData(pos2)
 
-        if data2 == None:
+        if data2 is None:
             self.output = None
             return flag
@@ -422,5 +422,5 @@
         """
         out = self.out_pic
-        if output == None:
+        if output is None:
             content = "?"
             self.put_text_pic(out, content)
@@ -592,5 +592,5 @@
         name_list = []
         for state in state_list:
-            if state.data == None:
+            if state.data is None:
                 theory_list = state.get_theory()
                 theory, _ = theory_list.values()[0]
@@ -609,5 +609,5 @@
             wx.MessageBox(msg, 'Error')
             return
-        if self.output == None:
+        if self.output is None:
             msg = "No Output Data has been generated...   "
             wx.MessageBox(msg, 'Error')
Index: src/sas/sasgui/perspectives/calculator/density_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/density_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/density_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -239,5 +239,5 @@
         update units and output combobox
         """
-        if event == None:
+        if event is None:
             return
         event.Skip()
@@ -257,5 +257,5 @@
         update units and input combobox
         """
-        if event == None:
+        if event is None:
             return
         event.Skip()
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -487,5 +487,5 @@
         path = None
         filename = ''
-        if location == None:
+        if location is None:
             location = os.getcwd()
 
@@ -864,5 +864,5 @@
             return
         self.sld_data = self.parent.get_sld_from_omf()
-        if self.sld_data == None:
+        if self.sld_data is None:
             if self.parent.parent != None:
                 infor = 'Error'
@@ -880,5 +880,5 @@
             self.model.set_sld_data(self.sld_data)
             self.set_input_params()
-            if self.is_avg or self.is_avg == None:
+            if self.is_avg or self.is_avg is None:
                 self._create_default_1d_data()
                 i_out = np.zeros(len(self.data.y))
@@ -979,5 +979,5 @@
         Update the progress bar
         """
-        if self.parent.parent == None:
+        if self.parent.parent is None:
             return
         type = "progress"
@@ -1010,5 +1010,5 @@
                 out = np.append(out, outi)
         #print time.time() - s
-        if self.is_avg or self.is_avg == None:
+        if self.is_avg or self.is_avg is None:
             self._draw1D(out)
         else:
@@ -1287,13 +1287,13 @@
             key_low = key.lower()
             if key_low.count('mx') > 0:
-                if sld_sets[key] == None:
+                if sld_sets[key] is None:
                     sld_sets[key] = self.sld_data.sld_mx
                 mx = sld_sets[key]
             elif key_low.count('my') > 0:
-                if sld_sets[key] == None:
+                if sld_sets[key] is None:
                     sld_sets[key] = self.sld_data.sld_my
                 my = sld_sets[key]
             elif key_low.count('mz') > 0:
-                if sld_sets[key] == None:
+                if sld_sets[key] is None:
                     sld_sets[key] = self.sld_data.sld_mz
                 mz = sld_sets[key]
@@ -1368,5 +1368,5 @@
         """
 
-        if omfdata == None:
+        if omfdata is None:
             self._set_none_text()
             return
@@ -1437,5 +1437,5 @@
         self.slds = []
         omfdata = self.sld_data
-        if omfdata == None:
+        if omfdata is None:
             raise
         sld_key_list = self._get_slds_key_list(omfdata)
@@ -1477,5 +1477,5 @@
         self.nodes = []
         omfdata = self.sld_data
-        if omfdata == None:
+        if omfdata is None:
             raise
         key_list = self._get_nodes_key_list(omfdata)
@@ -1512,5 +1512,5 @@
         self.stepsize = []
         omfdata = self.sld_data
-        if omfdata == None:
+        if omfdata is None:
             raise
         key_list = self._get_step_key_list(omfdata)
@@ -1631,5 +1631,5 @@
         Set sld textctrls
         """
-        if sld_data == None:
+        if sld_data is None:
             for ctr_list in self.slds:
                 ctr_list[1].Enable(False)
@@ -1739,5 +1739,5 @@
             if npts > 0:
                 nop = self.set_npts_from_slddata()
-                if nop == None:
+                if nop is None:
                     nop = npts
                 self.display_npts(nop)
@@ -1911,8 +1911,8 @@
         Set omfdata
         """
-        if data == None:
+        if data is None:
             return
         self.sld_data = data
-        enable = (not data == None)
+        enable = (not data is None)
         self._set_omfpanel_sld_data(self.sld_data)
         self.omfpanel.bt_save.Enable(enable)
Index: src/sas/sasgui/perspectives/calculator/image_viewer.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -85,5 +85,5 @@
         """
         path = None
-        if location == None:
+        if location is None:
             location = os.getcwd()
         dlg = wx.FileDialog(self.parent, "Image Viewer: Choose a image file",
Index: src/sas/sasgui/perspectives/calculator/model_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -1388,5 +1388,5 @@
 
     def _get_upper_name(self, name=None):
-        if name == None:
+        if name is None:
             return ""
         upper_name = ""
Index: src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -839,5 +839,5 @@
         : Param image: pylab object
         """
-        if image == None:
+        if image is None:
             return
         if color == 'g':
@@ -973,5 +973,5 @@
         if len(qx) != len(qy):
             return None
-        if qx == None or qy == None:
+        if qx is None or qy is None:
             return None
         return qx, qy
@@ -1261,5 +1261,5 @@
         if selection == 'Add new':
             path = self._selectDlg()
-            if path == None:
+            if path is None:
                 self.spectrum_cb.SetValue('Flat')
                 self.resolution.set_spectrum(self.spectrum_dic['Flat'])
@@ -1301,5 +1301,5 @@
         """
         try:
-            if path == None:
+            if path is None:
                 wx.PostEvent(self.parent.parent, StatusEvent(status=\
                             " Selected Distribution was not loaded: %s" % path))
Index: src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py	(revision d0248bd59e16e863c884f4be9af0a03b2a86b6e2)
+++ src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -157,5 +157,5 @@
         path = None
         filename = ''
-        if location == None:
+        if location is None:
             location = os.getcwd()
 
Index: src/sas/sasgui/perspectives/corfunc/corfunc_state.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -327,5 +327,5 @@
         if datainfo.title is None or datainfo.title == '':
             datainfo.title = datainfo.name
-        if datainfo.run_name == None or datainfo.run_name == '':
+        if datainfo.run_name is None or datainfo.run_name == '':
             datainfo.run = [str(datainfo.name)]
             datainfo.run_name[0] = datainfo.name
Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -386,5 +386,5 @@
         help for setting list of the edit model menu labels
         """
-        if menu == None:
+        if menu is None:
             menu = self.edit_custom_model
         list_fnames = os.listdir(models.find_plugins_dir())
@@ -1125,5 +1125,5 @@
         page = self.fit_panel.set_data(data)
         # page could be None when loading state files
-        if page == None:
+        if page is None:
             return page
         #append Data1D to the panel containing its theory
@@ -1193,5 +1193,5 @@
         """
         # case that uid is not specified
-        if uid == None:
+        if uid is None:
             for page_id in self.page_finder.keys():
                 self.page_finder[page_id].schedule_tofit(value)
@@ -1231,5 +1231,5 @@
         """
         panel = self.plot_panel
-        if panel == None:
+        if panel is None:
             raise ValueError, "Fitting:_onSelect: NonType panel"
         Plugin.on_perspective(self, event=event)
@@ -1335,5 +1335,5 @@
                 if not correct_result or res.fitness is None or \
                     not np.isfinite(res.fitness) or \
-                        np.any(res.pvec == None) or not \
+                        np.any(res.pvec is None) or not \
                         np.all(np.isfinite(res.pvec)):
                     data_name = str(None)
@@ -1526,5 +1526,5 @@
                 if res.fitness is None or \
                     not np.isfinite(res.fitness) or \
-                        np.any(res.pvec == None) or \
+                        np.any(res.pvec is None) or \
                     not np.all(np.isfinite(res.pvec)):
                     fit_msg += "\nFitting did not converge!!!"
@@ -1587,5 +1587,5 @@
         """
         event.Skip()
-        if self.menu1 == None:
+        if self.menu1 is None:
             return
         menu_item = self.menu1.FindItemById(self.id_reset_flag)
@@ -1646,5 +1646,5 @@
         caption = evt.caption
         enable_smearer = evt.enable_smearer
-        if model == None:
+        if model is None:
             return
         if uid not in self.page_finder.keys():
@@ -1698,5 +1698,5 @@
         new_plot.title = data.name
         new_plot.group_id = data.group_id
-        if new_plot.group_id == None:
+        if new_plot.group_id is None:
             new_plot.group_id = data.group_id
         new_plot.id = data_id
@@ -2002,11 +2002,11 @@
         chisqr = None
         #to compute chisq make sure data has valid data
-        # return None if data == None
-        if not check_data_validity(data_copy) or data_copy == None:
+        # return None if data is None
+        if not check_data_validity(data_copy) or data_copy is None:
             return chisqr
 
         # Get data: data I, theory I, and data dI in order
         if data_copy.__class__.__name__ == "Data2D":
-            if index == None:
+            if index is None:
                 index = np.ones(len(data_copy.data), dtype=bool)
             if weight != None:
@@ -2017,5 +2017,5 @@
             fn = data_copy.data[index]
             theory_data = self.page_finder[page_id].get_theory_data(fid=data_copy.id)
-            if theory_data == None:
+            if theory_data is None:
                 return chisqr
             gn = theory_data.data[index]
@@ -2023,9 +2023,9 @@
         else:
             # 1 d theory from model_thread is only in the range of index
-            if index == None:
+            if index is None:
                 index = np.ones(len(data_copy.y), dtype=bool)
             if weight != None:
                 data_copy.dy = weight
-            if data_copy.dy == None or data_copy.dy == []:
+            if data_copy.dy is None or data_copy.dy == []:
                 dy = np.ones(len(data_copy.y))
             else:
@@ -2037,5 +2037,5 @@
 
             theory_data = self.page_finder[page_id].get_theory_data(fid=data_copy.id)
-            if theory_data == None:
+            if theory_data is None:
                 return chisqr
             gn = theory_data.y
@@ -2080,5 +2080,5 @@
             theory_data = self.page_finder[page_id].get_theory_data(fid=data_copy.id)
             gn = theory_data.data
-            if weight == None:
+            if weight is None:
                 en = data_copy.err_data
             else:
@@ -2101,8 +2101,8 @@
         else:
             # 1 d theory from model_thread is only in the range of index
-            if data_copy.dy == None or data_copy.dy == []:
+            if data_copy.dy is None or data_copy.dy == []:
                 dy = np.ones(len(data_copy.y))
             else:
-                if weight == None:
+                if weight is None:
                     dy = np.ones(len(data_copy.y))
                 ## Set consitently w/AbstractFitengine:
@@ -2142,5 +2142,5 @@
         ##group_id specify on which panel to plot this data
         group_id = self.page_finder[page_id].get_graph_id()
-        if group_id == None:
+        if group_id is None:
             group_id = data.group_id
         new_plot.group_id = "res" + str(group_id)
Index: src/sas/sasgui/perspectives/fitting/model_thread.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -53,7 +53,7 @@
         self.starttime = time.time()
         # Determine appropriate q range
-        if self.qmin == None:
+        if self.qmin is None:
             self.qmin = 0
-        if self.qmax == None:
+        if self.qmax is None:
             if self.data != None:
                 newx = math.pow(max(math.fabs(self.data.xmax),
Index: src/sas/sasgui/perspectives/invariant/invariant_panel.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -240,7 +240,7 @@
         """
 
-        if state == None and data == None:
+        if state is None and data is None:
             self.state = IState()
-        elif state == None or data == None:
+        elif state is None or data is None:
             return
         else:
@@ -604,5 +604,5 @@
         compute invariant
         """
-        if self._data == None:
+        if self._data is None:
             msg = "\n\nData must be loaded first in order"
             msg += " to perform a compution..."
@@ -792,5 +792,5 @@
         : param state_num: the given state number
         """
-        if state_num == None:
+        if state_num is None:
             return
 
@@ -924,5 +924,5 @@
         :param event: rb/cb event
         """
-        if event == None:
+        if event is None:
             return
         obj = event.GetEventObject()
@@ -934,5 +934,5 @@
 
         try:
-            if value == None or value.lstrip().rstrip() == '':
+            if value is None or value.lstrip().rstrip() == '':
                 value = 'None'
             setattr(self.state, name, str(value))
@@ -1013,5 +1013,5 @@
         Used in 'set_current_data()'
         """
-        #if data == None: return
+        #if data is None: return
         #temp_state = self.state.clone_state()
         #copy.deepcopy(self.state.saved_state)
@@ -1049,5 +1049,5 @@
 
         """
-        if self._data == None:
+        if self._data is None:
             return
         # check if this event is from do/undo button
@@ -1072,5 +1072,5 @@
         # try to add new state of the text changes in the state_list
         try:
-            if value.strip() == None:
+            if value.strip() is None:
                 value = ''
             setattr(self.state, name, str(value))
@@ -1140,7 +1140,7 @@
         the popup menu on bookmark context menu event
         """
-        if self._data == None:
+        if self._data is None:
             return
-        if event == None:
+        if event is None:
             return
         self.bookmark_num += 1
@@ -1206,5 +1206,5 @@
         : event: popUpMenu event
         """
-        if event == None:
+        if event is None:
             return
         # get the object
@@ -1246,5 +1246,5 @@
         if self.parent != None:
             self._default_save_location = self.parent.get_save_location()
-        if self._default_save_location == None:
+        if self._default_save_location is None:
             self._default_save_location = os.getcwd()
         dlg = wx.FileDialog(self, "Choose a file",
Index: src/sas/sasgui/perspectives/invariant/invariant_state.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -787,7 +787,7 @@
             raise RuntimeError, msg
         # make sure title and data run is filled up.
-        if datainfo.title == None or datainfo.title == '':
+        if datainfo.title is None or datainfo.title == '':
             datainfo.title = datainfo.name
-        if datainfo.run_name == None or datainfo.run_name == {}:
+        if datainfo.run_name is None or datainfo.run_name == {}:
             datainfo.run = [str(datainfo.name)]
             datainfo.run_name[0] = datainfo.name
Index: src/sas/sasgui/perspectives/pr/inversion_panel.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision c1d5aeab1ee75d2bf50cd73195f34c011918657d)
+++ src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -920,5 +920,5 @@
         if flag:
             dataset = self.plot_data.GetValue()
-            if dataset == None or len(dataset.strip()) == 0:
+            if dataset is None or len(dataset.strip()) == 0:
                 message = "No data to invert. Select a data set before"
                 message += " proceeding with P(r) inversion."
Index: src/sas/sasgui/perspectives/pr/pr.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/pr/pr.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -291,5 +291,5 @@
         """
         qtemp = pr.x
-        if not q == None:
+        if not q is None:
             qtemp = q
 
@@ -303,7 +303,7 @@
 
         # Check for user min/max
-        if not pr.q_min == None:
+        if not pr.q_min is None:
             minq = pr.q_min
-        if not pr.q_max == None:
+        if not pr.q_max is None:
             maxq = pr.q_max
 
@@ -393,5 +393,5 @@
 
         for i in range(len(x)):
-            if cov2 == None:
+            if cov2 is None:
                 value = pr.pr(out, x[i])
             else:
@@ -412,5 +412,5 @@
             dy = dy / pmax
 
-        if cov2 == None:
+        if cov2 is None:
             new_plot = Data1D(x, y)
             new_plot.symbol = GUIFRAME_ID.CURVE_SYMBOL_NUM
@@ -487,5 +487,5 @@
         scale = None
         min_err = 0.0
-        if not path == None:
+        if not path is None:
             input_f = open(path, 'r')
             buff = input_f.read()
@@ -499,5 +499,5 @@
                         err = float(toks[2])
                     else:
-                        if scale == None:
+                        if scale is None:
                             scale = 0.05 * math.sqrt(y)
                             #scale = 0.05/math.sqrt(y)
@@ -512,5 +512,5 @@
                     logger.error(sys.exc_value)
 
-        if not scale == None:
+        if not scale is None:
             message = "The loaded file had no error bars, statistical errors are assumed."
             wx.PostEvent(self.parent, StatusEvent(status=message))
@@ -537,5 +537,5 @@
 
         data_started = False
-        if not path == None:
+        if not path is None:
             input_f = open(path, 'r')
             buff = input_f.read()
@@ -550,5 +550,5 @@
                             err = float(toks[2])
                         else:
-                            if scale == None:
+                            if scale is None:
                                 scale = 0.05 * math.sqrt(y)
                                 #scale = 0.05/math.sqrt(y)
@@ -565,5 +565,5 @@
                     data_started = True
 
-        if not scale == None:
+        if not scale is None:
             message = "The loaded file had no error bars, statistical errors are assumed."
             wx.PostEvent(self.parent, StatusEvent(status=message))
@@ -761,5 +761,5 @@
         self.elapsed = elapsed
         self.control_panel.alpha_estimate = alpha
-        if not message == None:
+        if not message is None:
             wx.PostEvent(self.parent, StatusEvent(status=str(message)))
         self.perform_estimateNT()
@@ -779,5 +779,5 @@
         self.control_panel.nterms_estimate = nterms
         self.control_panel.alpha_estimate = alpha
-        if not message == None:
+        if not message is None:
             wx.PostEvent(self.parent, StatusEvent(status=str(message)))
 
@@ -858,5 +858,5 @@
 
         # Make a plot of I(q) data
-        if self.pr.err == None:
+        if self.pr.err is None:
             new_plot = Data1D(self.pr.x, self.pr.y)
             new_plot.symbol = GUIFRAME_ID.CURVE_SYMBOL_NUM
@@ -921,5 +921,5 @@
         try:
             pr = self._create_plot_pr()
-            if not pr == None:
+            if not pr is None:
                 self.pr = pr
                 self.perform_inversion()
@@ -944,5 +944,5 @@
         try:
             pr = self._create_plot_pr()
-            if not pr == None:
+            if not pr is None:
                 self.pr = pr
                 self.perform_estimate()
@@ -983,5 +983,5 @@
         err = self.current_plottable.dy
         all_zeros = True
-        if err == None:
+        if err is None:
             err = np.zeros(len(pr.y))
         else:
@@ -995,5 +995,5 @@
             for i in range(len(pr.y)):
                 # Scale the error so that we can fit over several decades of Q
-                if scale == None:
+                if scale is None:
                     scale = 0.05 * math.sqrt(pr.y[i])
                     min_err = 0.01 * pr.y[i]
@@ -1024,5 +1024,5 @@
         try:
             pr = self._create_file_pr(data)
-            if not pr == None:
+            if not pr is None:
                 self.pr = pr
                 self.perform_inversion()
@@ -1090,5 +1090,5 @@
         # If we have not errors, add statistical errors
         if y is not None:
-            if err == None or np.all(err) == 0:
+            if err is None or np.all(err) == 0:
                 err = np.zeros(len(y))
                 scale = None
@@ -1096,5 +1096,5 @@
                 for i in range(len(y)):
                     # Scale the error so that we can fit over several decades of Q
-                    if scale == None:
+                    if scale is None:
                         scale = 0.05 * math.sqrt(y[i])
                         min_err = 0.01 * y[i]
Index: src/sas/sasgui/perspectives/pr/pr_thread.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr_thread.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/pr/pr_thread.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -42,5 +42,5 @@
             pass
         except:
-            if not self.error_func == None:
+            if not self.error_func is None:
                 self.error_func("CalcPr.compute: %s" % sys.exc_value)
 
@@ -70,5 +70,5 @@
             pass
         except:
-            if not self.error_func == None:
+            if not self.error_func is None:
                 self.error_func("EstimatePr.compute: %s" % sys.exc_value)
 
@@ -110,4 +110,4 @@
             pass
         except:
-            if not self.error_func == None:
+            if not self.error_func is None:
                 self.error_func("EstimatePr2.compute: %s" % sys.exc_value)
Index: src/sas/sasgui/plottools/PlotPanel.py
===================================================================
--- src/sas/sasgui/plottools/PlotPanel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/plottools/PlotPanel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -418,5 +418,5 @@
         """
         ax = event.inaxes
-        if ax == None:
+        if ax is None:
             return
         # Event occurred inside a plotting area
@@ -479,5 +479,5 @@
                 self.xFinal, self.yFinal = event.xdata, event.ydata
                 # Check whether this is the first point
-                if self.xInit == None:
+                if self.xInit is None:
                     self.xInit = self.xFinal
                     self.yInit = self.yFinal
@@ -1367,5 +1367,5 @@
         if dy != None and type(dy) == type(()):
             dy = nx.vstack((y - dy[0], dy[1] - y)).transpose()
-        if dx == None and dy == None:
+        if dx is None and dy is None:
             self.subplot.plot(x, y, color=self._color(color),
                               marker=self._symbol(symbol),
@@ -1443,5 +1443,5 @@
         c = self._color(color)
         # If we don't have any data, skip.
-        if self.data == None:
+        if self.data is None:
             return
         if self.data.ndim == 1:
@@ -1519,5 +1519,5 @@
             self.subplot.set_axis_off()
 
-        if cbax == None:
+        if cbax is None:
             ax.set_frame_on(False)
             cb = self.subplot.figure.colorbar(im, shrink=0.8, aspect=20)
@@ -1541,5 +1541,5 @@
         """
         # No qx or qy given in a vector format
-        if self.qx_data == None or self.qy_data == None \
+        if self.qx_data is None or self.qy_data is None \
                 or self.qx_data.ndim != 1 or self.qy_data.ndim != 1:
             # do we need deepcopy here?
@@ -1601,5 +1601,5 @@
         """
         # No qx or qy given in a vector format
-        if self.qx_data == None or self.qy_data == None \
+        if self.qx_data is None or self.qy_data is None \
                 or self.qx_data.ndim != 1 or self.qy_data.ndim != 1:
             # do we need deepcopy here?
@@ -1652,7 +1652,7 @@
         """
         # No image matrix given
-        if image == None or np.ndim(image) != 2 \
+        if image is None or np.ndim(image) != 2 \
                 or np.isfinite(image).all() \
-                or weights == None:
+                or weights is None:
             return image
         # Get bin size in y and x directions
@@ -1940,5 +1940,5 @@
         """
         """
-        if self.parent == None:
+        if self.parent is None:
             return
         # get current caption
Index: src/sas/sasgui/plottools/fitDialog.py
===================================================================
--- src/sas/sasgui/plottools/fitDialog.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/plottools/fitDialog.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -95,21 +95,21 @@
 
         # Set default value of parameter in the dialog panel
-        if self.Avalue == None:
+        if self.Avalue is None:
             self.tcA.SetValue(format_number(self.default_A))
         else:
             self.tcA.SetLabel(format_number(self.Avalue))
-        if self.Bvalue == None:
+        if self.Bvalue is None:
             self.tcB.SetValue(format_number(self.default_B))
         else:
             self.tcB.SetLabel(format_number(self.Bvalue))
-        if self.ErrAvalue == None:
+        if self.ErrAvalue is None:
             self.tcErrA.SetLabel(format_number(0.0))
         else:
             self.tcErrA.SetLabel(format_number(self.ErrAvalue))
-        if self.ErrBvalue == None:
+        if self.ErrBvalue is None:
             self.tcErrB.SetLabel(format_number(0.0))
         else:
             self.tcErrB.SetLabel(format_number(self.ErrBvalue))
-        if self.Chivalue == None:
+        if self.Chivalue is None:
             self.tcChi.SetLabel(format_number(0.0))
         else:
@@ -502,5 +502,5 @@
 
                 # Check that cov and out are iterable before displaying them
-                if cov == None:
+                if cov is None:
                     errA = 0.0
                     errB = 0.0
@@ -508,5 +508,5 @@
                     errA = math.sqrt(cov[0][0])
                     errB = math.sqrt(cov[1][1])
-                if out == None:
+                if out is None:
                     cstA = 0.0
                     cstB = 0.0
Index: src/sas/sasgui/plottools/fittings.py
===================================================================
--- src/sas/sasgui/plottools/fittings.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/plottools/fittings.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -25,5 +25,5 @@
         self.model = model
         self.name = name
-        if not value == None:
+        if not value is None:
             self.model.setParam(self.name, value)
 
Index: src/sas/sasgui/plottools/plottable_interactor.py
===================================================================
--- src/sas/sasgui/plottools/plottable_interactor.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/plottools/plottable_interactor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -50,5 +50,5 @@
             l_width = markersize * 0.4
             return self.step(x=x, y=y, color=color, label=label, width=l_width)
-        if not self.marker == None:
+        if not self.marker is None:
             self.base.connect.clear([self.marker])
         self.color = self._color(color)
@@ -61,5 +61,5 @@
             dy = nx.vstack((y - dy[0], dy[1] - y)).transpose()
 
-        if dx == None and dy == None:
+        if dx is None and dy is None:
             # zorder = 1
             self.marker = self.axes.plot(x, y, color=self.color,
@@ -100,5 +100,5 @@
         """
         """
-        if not self.marker == None:
+        if not self.marker is None:
             self.base.connect.clear([self.marker])
         self.color = self._color(color)
@@ -115,5 +115,5 @@
         """
         """
-        if not self.marker == None:
+        if not self.marker is None:
             self.base.connect.clear([self.marker])
         self.color = self._color(color)
@@ -133,5 +133,5 @@
         """
         """
-        if not self.marker == None:
+        if not self.marker is None:
             self.base.connect.clear([self.marker])
         self.color = self._color(color)
Index: src/sas/sasgui/plottools/plottables.py
===================================================================
--- src/sas/sasgui/plottools/plottables.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/plottools/plottables.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -229,9 +229,9 @@
             if p.hidden == True:
                 continue
-            if not p.x == None:
+            if not p.x is None:
                 for x_i in p.x:
-                    if min_value == None or x_i < min_value:
+                    if min_value is None or x_i < min_value:
                         min_value = x_i
-                    if max_value == None or x_i > max_value:
+                    if max_value is None or x_i > max_value:
                         max_value = x_i
         return min_value, max_value
@@ -562,6 +562,6 @@
         Returns True if there is no data stored in the plottable
         """
-        if not self.x == None and len(self.x) == 0 \
-            and not self.y == None and len(self.y) == 0:
+        if not self.x is None and len(self.x) == 0 \
+            and not self.y is None and len(self.y) == 0:
             return True
         return False
@@ -679,9 +679,9 @@
         # Sanity check
         # Do the transofrmation only when x and y are empty
-        has_err_x = not (dx == None or len(dx) == 0)
-        has_err_y = not (dy == None or len(dy) == 0)
+        has_err_x = not (dx is None or len(dx) == 0)
+        has_err_y = not (dy is None or len(dy) == 0)
 
         if(x != None) and (y != None):
-            if not dx == None and not len(dx) == 0 and not len(x) == len(dx):
+            if not dx is None and not len(dx) == 0 and not len(x) == len(dx):
                 msg = "Plottable.View: Given x and dx are not"
                 msg += " of the same length"
@@ -693,5 +693,5 @@
                 raise ValueError, msg
 
-            if not dy == None and not len(dy) == 0 and not len(y) == len(dy):
+            if not dy is None and not len(dy) == 0 and not len(y) == len(dy):
                 msg = "Plottable.View: Given y and dy are not of the same "
                 msg += "length: len(y)=%s, len(dy)=%s" % (len(y), len(dy))
@@ -797,7 +797,7 @@
         tempy = []
         tempdy = []
-        if self.dx == None:
+        if self.dx is None:
             self.dx = np.zeros(len(self.x))
-        if self.dy == None:
+        if self.dy is None:
             self.dy = np.zeros(len(self.y))
         if self.xLabel == "log10(x)":
@@ -827,7 +827,7 @@
         tempy = []
         tempdy = []
-        if self.dx == None:
+        if self.dx is None:
             self.dx = np.zeros(len(self.x))
-        if self.dy == None:
+        if self.dy is None:
             self.dy = np.zeros(len(self.y))
         if self.yLabel == "log10(y)":
@@ -860,7 +860,7 @@
         tempy = []
         tempdy = []
-        if self.dx == None:
+        if self.dx is None:
             self.dx = np.zeros(len(self.x))
-        if self.dy == None:
+        if self.dy is None:
             self.dy = np.zeros(len(self.y))
         if xmin != None and xmax != None:
@@ -1206,5 +1206,5 @@
         """
         """
-        if  self._chisq == None:
+        if  self._chisq is None:
             chisqTxt = r'$\chi^2=$'
         else:
Index: src/sas/sasgui/plottools/transform.py
===================================================================
--- src/sas/sasgui/plottools/transform.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/plottools/transform.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -162,5 +162,5 @@
 
     """
-    if dx == None:
+    if dx is None:
         dx = 0
     return dx
@@ -175,5 +175,5 @@
 
     """
-    if dx == None:
+    if dx is None:
         dx = 0
     return dx
@@ -256,5 +256,5 @@
 
     """
-    if dx == None:
+    if dx is None:
         dx = 0
 
@@ -280,5 +280,5 @@
 
     """
-    if dx == None:
+    if dx is None:
         dx = 0
 
@@ -294,7 +294,7 @@
     """
     """
-    if dx == None:
-        dx = 0
-    if dy == None:
+    if dx is None:
+        dx = 0
+    if dy is None:
         dy = 0
     err = math.sqrt((2 * x * y * dx) ** 2 + ((x ** 2) * dy) ** 2)
@@ -314,7 +314,7 @@
         raise ValueError, msg
     if x != 0 and y != 0:
-        if dx == None:
+        if dx is None:
             dx = 0
-        if dy == None:
+        if dy is None:
             dy = 0
         err = (dx / x) ** 2 + (dy / y) ** 2
@@ -337,7 +337,7 @@
         raise ValueError, msg
     if x > 0 and y > 0:
-        if dx == None:
+        if dx is None:
             dx = 0
-        if dy == None:
+        if dy is None:
             dy = 0
         err = (2.0 * dx / x) ** 2 + (dy / y) ** 2
@@ -353,5 +353,5 @@
     """
     if x != 0:
-        if dx == None:
+        if dx is None:
             dx = 0
         err = dx / x ** 2
@@ -367,5 +367,5 @@
     """
     if x > 0:
-        if dx == None:
+        if dx is None:
             dx = 0
         err = -1 / 2 * math.pow(x, -3.0 / 2.0) * dx
@@ -388,7 +388,7 @@
         msg += " that are consistent with zero."
         raise ValueError, msg
-    if dx == None:
-        dx = 0
-    if dy == None:
+    if dx is None:
+        dx = 0
+    if dy is None:
         dy = 0
     err = math.sqrt((4.0 * dx / x) ** 2 + (dy / y) ** 2)
@@ -406,7 +406,7 @@
     # within errors
 
-    if dx == None:
-        dx = 0
-    if dy == None:
+    if dx is None:
+        dx = 0
+    if dy is None:
         dy = 0
     err = math.sqrt((dy * pow(x, 4)) ** 2 + (4 * y * dx * math.pow(x, 3)) ** 2)
